package cn.iocoder.yudao.module.system.dal.mysql.dify;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.module.system.controller.admin.dify.vo.DifyWorkFlowRecordPageReqVO;
import cn.iocoder.yudao.module.system.dal.dataobject.dify.DifyWorkFlowRecordDO;
import org.apache.ibatis.annotations.Mapper;

@Mapper
public interface DifyWorkFlowRecordMapper extends BaseMapperX<DifyWorkFlowRecordDO> {

    default PageResult<DifyWorkFlowRecordDO> selectPage(DifyWorkFlowRecordPageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<DifyWorkFlowRecordDO>()
                .likeIfPresent(DifyWorkFlowRecordDO::getNumber, reqVO.getNumber())
                .likeIfPresent(DifyWorkFlowRecordDO::getName, reqVO.getName())
                .orderByDesc(DifyWorkFlowRecordDO::getId));
    }
}

